---
title: messageActionCustomAction
description: Custom action (most likely not supported by the current layer, an upgrade might be needed)
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Constructor: messageActionCustomAction  
[Back to constructors index](index.md)



Custom action (most likely not supported by the current layer, an upgrade might be needed)

### Attributes:

| Name     |    Type       | Required | Description |
|----------|---------------|----------|-------------|
|message|[string](../types/string.md) | Yes|Action message|



### Type: [MessageAction](../types/MessageAction.md)


### Example:

```php
$messageActionCustomAction = ['_' => 'messageActionCustomAction', 'message' => 'string'];
```  


Or, if you're into Lua:

```lua
messageActionCustomAction={_='messageActionCustomAction', message='string'}

```


